%define drmVersion	2.0.1
%define kversion	2.6.8
%define	krelease	1.521

Summary: Beam Via kernel DRM driver
Name: kernel-via-drm
Version: %{drmVersion}_%{kversion}
Release: %{krelease}_1.beam
Epoch: 1
License: GPL
Group: Beam
Source0:        drm-cvs.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: kernel == %{kversion}-%{krelease}

%description
Kernel-via-drm is the linux kernel drm module for Via Unichrome CLE266 chipset
and some others.
Via M series Motherboards use this chipset.

%prep
%setup -q -n drm

%build
(cd linux-2.6; make DRM_MODULES=via)

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/lib/modules/%{kversion}-%{krelease}/kernel/drivers/char/drm
cp linux-2.6/via.ko $RPM_BUILD_ROOT/lib/modules/%{kversion}-%{krelease}/kernel/drivers/char/drm

%clean
rm -rf $RPM_BUILD_ROOT

%post
depmod -a -F /boot/System.map-%{kversion}-%{krelease} %{kversion}-%{krelease} >/dev/null 2>&1 || :

%files
%defattr(-,root,root,-)
%attr(0755,root,root)
/lib/modules/%{kversion}-%{krelease}/kernel/drivers/char/drm/via.ko
